Subject: bug#30904: closed (Re: bug#30904: 26.0.91; tramp.el: Outdated docstring of tramp-dissect-file-name)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Mar 2018 09:07:01 +0000

Your bug report

#30904: 26.0.91; tramp.el: Outdated docstring of tramp-dissect-file-name

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30904: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30904: 26.0.91; tramp.el: Outdated docstring of tramp-dissect-file-name
From: Michael Albinus <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Mar 2018 10:06:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

Pierre Neidhardt <[email-masked]> writes:

Hi Pierre,

> I think we should mention DOMAIN and PORT in the dissect function docstring.
> The code actually handles them.

Thanks for the report. I've fixed this in both Emacs and Tramp
repositories, master branch.

I do not want to commit this to the emacs-26 branch just now, short
before the Emacs 26.1 release. It is not critical.

I have fixed this also in the Tramp repository, branch-2-3-stable. This
will be merged into the Emacs repository, emacs-26 branch, after Emacs
26.1 is out. So it will appear also in a later Emacs 26.2.

Closing the bug.

Best regards, Michael.

Subject: 26.0.91; tramp.el: Outdated docstring of tramp-dissect-file-name
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Date: Thu, 22 Mar 2018 11:51:28 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

On the one hand, tramp-make-tramp-file-name documents the new DOMAIN and
PORT arguments:

> tramp-make-tramp-file-name is a compiled Lisp function in ‘tramp.el’.
> 
> (tramp-make-tramp-file-name METHOD USER DOMAIN HOST PORT LOCALNAME &optional
> HOP)
> 
> Constructs a Tramp file name from METHOD, USER, HOST and LOCALNAME.
> When not nil, optional DOMAIN, PORT and HOP are used.

On the other hand, tramp-dissect-file-name fails to reference them:

> tramp-dissect-file-name is a compiled Lisp function in ‘tramp.el’.
> 
> (tramp-dissect-file-name NAME &optional NODEFAULT)
> 
> Return a ‘tramp-file-name’ structure.
> The structure consists of remote method, remote user, remote host,
> localname (file name on remote host) and hop.  If NODEFAULT is
> non-nil, the file name parts are not expanded to their default
> values.

I think we should mention DOMAIN and PORT in the dissect function docstring.
The code actually handles them.

In GNU Emacs 26.0.91 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.26)
 of 2018-03-03 built on mimimi
Repository revision: 752fba992b793a74d202c9cfc3e1a92fd458e748
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Void Linux